Name: ascii
Version: 3.12
Release: 1
URL: http://www.catb.org/~esr/ascii/
Source0: %{name}-%{version}.tar.gz
Patch0: %{name}-%{version}-aix.patch
License: GPL
Group: Utilities/Text
Summary: interactive ASCII name and synonym chart
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires: sed, make

%description
The ascii utility provides easy conversion between various byte representations
and the American Standard Code for Information Interchange (ASCII) character
table.  It knows about a wide variety of hex, binary, octal, Teletype mnemonic,
ISO/ECMA code point, slang names, XML entity names, and other representations.
Given any one on the command line, it will try to display all others.  Called
with no arguments it displays a handy small ASCII chart.


%prep
%setup -q
%patch0


%build
gmake %{?_smp_mflags} ascii ascii.1


%install
[ "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != / ] && rm -rf "${RPM_BUILD_ROOT}"

mkdir -p ${RPM_BUILD_ROOT}%{_bindir}
cp ascii ${RPM_BUILD_ROOT}%{_bindir}/
chmod 0755 ${RPM_BUILD_ROOT}%{_bindir}/*
/usr/bin/strip ${RPM_BUILD_ROOT}%{_bindir}/* || :

mkdir -p ${RPM_BUILD_ROOT}%{_mandir}/man1
cp ascii.1 ${RPM_BUILD_ROOT}%{_mandir}/man1/
chmod 0644 ${RPM_BUILD_ROOT}%{_mandir}/man1/*

(
  cd ${RPM_BUILD_ROOT}
  mkdir -p usr/bin
  cd usr/bin
  ln -sf ../..%{_bindir}/* .
)


%clean
[ "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != / ] && rm -rf "${RPM_BUILD_ROOT}"


%files
%defattr(-,root,system,-)
%doc README COPYING
%{_bindir}/*
%{_mandir}/man1/ascii.1*
/usr/bin/*


%changelog
* Tue Jan 08 2013 Michael Perzl <michael@perzl.org> - 3.12-1
- updated to version 3.12

* Thu May 05 2011 Michael Perzl <michael@perzl.org> - 3.11-1
- updated to version 3.11

* Mon Nov 22 2010 Michael Perzl <michael@perzl.org> - 3.10-1
- updated to version 3.10

* Thu Oct 14 2010 Michael Perzl <michael@perzl.org> - 3.9-1
- updated to version 3.9

* Mon Mar 12 2007 Michael Perzl <michael@perzl.org> - 3.8-1
- first version for AIX5L v5.1 and higher
